# WOK
TKWOK
MS

# MS_HSequenceOfMethod Class Reference

`#include <MS_HSequenceOfMethod.hxx>`

## Public Member Functions

| MS_HSequenceOfMethod ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_Method)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfMethod)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_Method)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfMethod)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_Method)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfMethod)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_Method)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfMethod)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfMethod | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_Method)&anItem)
Standard_EXPORT const Handle_MS_Method & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_Method & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfMethod & | Sequence () const
MS_SequenceOfMethod & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfMethod | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfMethod | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfMethod::MS_HSequenceOfMethod | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfMethod::Append | ( | const Handle(MS_HSequenceOfMethod)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Append | ( | const Handle(MS_Method)& | anItem | ) |

MS_SequenceOfMethod& MS_HSequenceOfMethod::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_Method& MS_HSequenceOfMethod::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfMethod::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfMethod::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfMethod)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfMethod::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Method)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfMethod::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfMethod)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfMethod::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Method)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfMethod::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfMethod::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfMethod::Prepend | ( | const Handle(MS_HSequenceOfMethod)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Prepend | ( | const Handle(MS_Method)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfMethod::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfMethod::Reverse | ( |  | ) |

const MS_SequenceOfMethod& MS_HSequenceOfMethod::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfMethod::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Method)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfMethod MS_HSequenceOfMethod::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfMethod MS_HSequenceOfMethod::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_Method& MS_HSequenceOfMethod::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfMethod MS_HSequenceOfMethod::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfMethod.hxx